--
-- @file    json/node.lua
-- @version 4.0
--
local base = _G

local state = {
  ['type'] = 'node',
  ['channel'] = {
    {
      ['key'] = 0,
      ['id'] = 'Gq',
      ['name'] = 'Global Quaternion',
      ['name_compact'] = 'Global',
      ['dim'] = 4
    },
    {
      ['key'] = 1,
      ['id'] = 'Lq',
      ['name'] = 'Local Quaternion',
      ['name_compact'] = 'Local',
      ['dim'] = 4
    }
  },
  ['items'] = {}
}

local _node_to_json
_node_to_json = function(configured_node)
  local state = {
    ['key'] = configured_node.key,
    ['id'] = configured_node.id,
    ['name'] = configured_node.name,
    ['active'] = (configured_node.active and not configured_node.bus)
  }

  return state
end

local list = node.configuration()
if list then
  local item
  for _,item in pairs(list:list()) do
    local node_state = _node_to_json(item)
    if node_state then
      table.insert(state.items, node_state)
    end
  end
end

return node.json.encode(state)
